summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNelo-T. Wallus <nelo@wallus.de>2017-08-05 15:05:29 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-08-18 13:57:22 +0200
commit6f3c3218a26513a9f371b065b6215e5fde4220a0 (patch)
treebd1799730aa9252a67fd7d29831cb5306e8329f6 /net-nds
parentdev-cpp/gtest: Add live ebuild (diff)
downloadgentoo-6f3c3218a26513a9f371b065b6215e5fde4220a0.tar.gz
gentoo-6f3c3218a26513a9f371b065b6215e5fde4220a0.tar.bz2
gentoo-6f3c3218a26513a9f371b065b6215e5fde4220a0.zip
net-nds/gss-proxy: Bump version to 0.7.0, add hardened use flag
Package-Manager: Portage-2.3.6, Repoman-2.3.1 Closes: https://github.com/gentoo/gentoo/pull/5303
Diffstat (limited to 'net-nds')
-rw-r--r--net-nds/gss-proxy/Manifest1
-rw-r--r--net-nds/gss-proxy/gss-proxy-0.7.0.ebuild87
2 files changed, 88 insertions, 0 deletions
diff --git a/net-nds/gss-proxy/Manifest b/net-nds/gss-proxy/Manifest
index f272a76801d..17de808c5c6 100644
--- a/net-nds/gss-proxy/Manifest
+++ b/net-nds/gss-proxy/Manifest
@@ -1,2 +1,3 @@
DIST gssproxy-0.5.1.tar.gz 532525 SHA256 b7ac0b75dcd62264f9ffef4ab0aa14534b850873ada08209ba467e5914643fbd SHA512 72cb987413feba341b57caa27d5efadb8ed63af3751fda7013fe68768457a88011ac3bcf6e90b3d1d5ecf8894708daa0f20e57fe191d8ba3ce9b6492b57708f7 WHIRLPOOL 514e58fab7ad18707d4edd66aafd8aa1ee4f74e045ac5aa47bef50f55c3a2f7dd297ff4504be3ff1f7709abf9b3fd734d023781c25f76fb6e55e950e85acae4c
DIST gssproxy-0.6.2.tar.gz 547428 SHA256 ff6e741e6c89436c5de9a06f9a1b7b8223ba72b80d6486f5153f5bf8d093c9d3 SHA512 3c19fbd6e6c8aa2946512f947e016642672a98559b0c47dfb2a4abe2c9dbf06f1bd4f028199cd4828edf00eb0f5d3eac55bda73dcfeb27095e8e9ab14fc88bcd WHIRLPOOL 33396acaee52a025be210f9329e2d4404fb18eada19d46b9a50fe9d6a592384ed9b5539874aad5f55f46d2e8b72439d32bab47d77ee05851aebad0d6003f9c79
+DIST gssproxy-0.7.0.tar.gz 552041 SHA256 c5aeb1c21859752cac1dfd1a1ca4f69fa4c63f2256582a4b10bb72edb6e58f62 SHA512 00cd1d05e12f93f81c11062ccf4950e521960f752a6121f2055e47294a51894eda2415c558d3bc0d4c496146ab8f82a1162328acfb5eb3405c7b116774fa9f89 WHIRLPOOL 048e064423ea07f4bd8ed2798a80656ce0252ca838439ed93668bf7a5b21cab28370a7116e25b4b0a0d2ef8eff0119880db3d430f367ed60f18e4a55066e9764
diff --git a/net-nds/gss-proxy/gss-proxy-0.7.0.ebuild b/net-nds/gss-proxy/gss-proxy-0.7.0.ebuild
new file mode 100644
index 00000000000..b91eda6e374
--- /dev/null
+++ b/net-nds/gss-proxy/gss-proxy-0.7.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_P="${PN/-}-${PV}"
+
+DESCRIPTION="daemon to proxy GSSAPI context establishment and channel handling"
+HOMEPAGE="https://pagure.io/gssproxy"
+SRC_URI="http://releases.pagure.org/gssproxy/${MY_P}.tar.gz"
+
+LICENSE="BSD-1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="debug selinux systemd hardened"
+
+RDEPEND=">=dev-libs/libverto-0.2.2
+ >=dev-libs/ding-libs-0.5.0
+ virtual/krb5
+ selinux? ( sys-libs/libselinux )"
+# We need xml stuff to build the man pages, and people really want/need
+# the man pages for this package :). #585200
+DEPEND="${RDEPEND}
+ app-text/docbook-xml-dtd:4.4
+ dev-libs/libxslt
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+# Many requirements to run tests, including running slapd as root, hence
+# unfeasible.
+RESTRICT="test"
+
+# pkg_setup() {
+# # Here instead of flag-logic in DEPEND, since virtual/krb5 does not
+# # allow to specify the openldap use flag, which heimdal doesn't
+# # support.
+# # Using mit-krb5 explicitly because heimdal doesn't install kerberos
+# # schemata required for the tests of gss-proxy.
+# if use test && ! has_version "app-crypt/mit-krb5[openldap]"; then
+# eerror "Tests of this package require the kerberos schemata installed from app-crypt/mit-krb5[openldap]."
+# die "Tests enabled but no app-crypt/mit-krb5[openldap] being installed."
+# fi
+# }
+
+# Was required in 0.7.0 to fix the schema- and slapd-path. Reason for
+# comment: see RESTRICT comment
+# src_prepare() {
+# default
+# # The tests look for kerberos schemata in the documentation
+# # directory of krb5, however these are installed in /etc/openldap
+# # and only if the openldap useflag is supplied
+# sed -i \
+# -e 's#/usr/share/doc/krb5-server-ldap*#/etc/openldap/schema#' \
+# -e "s#\(subprocess.Popen..\"\)slapd#\1/usr/$(get_libdir)/openldap/slapd#" \
+# "${S}/tests/testlib.py" || die
+# }
+
+src_configure() {
+ local myeconfargs=(
+ # The build assumes localstatedir is /var and takes care of
+ # using all the right subdirs itself.
+ "--localstatedir=${EPREFIX}/var"
+ "--with-os=gentoo"
+ "--with-initscript=$(usex systemd systemd none)"
+ "$(use_with selinux)"
+ "$(use_with debug gssidebug)"
+ "$(use_with hardened hardening)"
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ # This is a plugin module, so no need for la file.
+ find "${ED%/}"/usr -name proxymech.la -delete
+
+ doinitd "${FILESDIR}"/gssproxy
+ insinto /etc/gssproxy
+ doins examples/*.conf
+ insinto /etc/gss/mech.d
+ newins examples/mech gssproxy.conf
+
+ # The build installs a bunch of empty dirs, so prune them.
+ find "${ED}" -depth -type d -exec rmdir {} + 2>/dev/null
+}